org.apache.olingo.server.api.serializer

## Enum SerializerException.MessageKeys

- java.lang.Object
- - java.lang.Enum<SerializerException.MessageKeys>
  - - org.apache.olingo.server.api.serializer.SerializerException.MessageKeys

- All Implemented Interfaces:
    Serializable, Comparable<SerializerException.MessageKeys>, ODataLibraryException.MessageKey
  Enclosing class:
    SerializerException

      public static enum SerializerException.MessageKeys
      extends Enum<SerializerException.MessageKeys>
      implements ODataLibraryException.MessageKey

  Keys for exception texts in the resource bundle.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INCONSISTENT_PROPERTY_TYPE` parameter: property name
    `IO_EXCEPTION`
    `JSON_METADATA`
    `MISSING_DELTA_PROPERTY` parameter: Delta property name
    `MISSING_ID` parameter: -
    `MISSING_PROPERTY` parameter: property name
    `NO_CONTEXT_URL`
    `NOT_IMPLEMENTED`
    `NULL_INPUT`
    `NULL_METADATA_OR_EDM`
    `NULL_PROPERTY`
    `UNKNOWN_TYPE`
    `UNSUPPORTED_ENCODING` parameter: encoding-name
    `UNSUPPORTED_FORMAT` parameter: format
    `UNSUPPORTED_OPERATION_TYPE`
    `UNSUPPORTED_PROPERTY_TYPE` parameter: property name
    `WRONG_BASE_TYPE`
    `WRONG_PRIMITIVE_VALUE` parameters: primitive-type name, value
    `WRONG_PROPERTY_VALUE` parameters: property name, property value

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getKey()` Gets this key.
    `static SerializerException.MessageKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SerializerException.MessageKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NULL_METADATA_OR_EDM

          public static final SerializerException.MessageKeys NULL_METADATA_OR_EDM

    - #### NOT_IMPLEMENTED

          public static final SerializerException.MessageKeys NOT_IMPLEMENTED

    - #### UNSUPPORTED_FORMAT

          public static final SerializerException.MessageKeys UNSUPPORTED_FORMAT

      parameter: format

    - #### JSON_METADATA

          public static final SerializerException.MessageKeys JSON_METADATA

    - #### IO_EXCEPTION

          public static final SerializerException.MessageKeys IO_EXCEPTION

    - #### NULL_INPUT

          public static final SerializerException.MessageKeys NULL_INPUT

    - #### NO_CONTEXT_URL

          public static final SerializerException.MessageKeys NO_CONTEXT_URL

    - #### UNSUPPORTED_PROPERTY_TYPE

          public static final SerializerException.MessageKeys UNSUPPORTED_PROPERTY_TYPE

      parameter: property name

    - #### INCONSISTENT_PROPERTY_TYPE

          public static final SerializerException.MessageKeys INCONSISTENT_PROPERTY_TYPE

      parameter: property name

    - #### MISSING_PROPERTY

          public static final SerializerException.MessageKeys MISSING_PROPERTY

      parameter: property name

    - #### MISSING_DELTA_PROPERTY

          public static final SerializerException.MessageKeys MISSING_DELTA_PROPERTY

      parameter: Delta property name

    - #### MISSING_ID

          public static final SerializerException.MessageKeys MISSING_ID

      parameter: -

    - #### WRONG_PROPERTY_VALUE

          public static final SerializerException.MessageKeys WRONG_PROPERTY_VALUE

      parameters: property name, property value

    - #### WRONG_PRIMITIVE_VALUE

          public static final SerializerException.MessageKeys WRONG_PRIMITIVE_VALUE

      parameters: primitive-type name, value

    - #### UNKNOWN_TYPE

          public static final SerializerException.MessageKeys UNKNOWN_TYPE

    - #### WRONG_BASE_TYPE

          public static final SerializerException.MessageKeys WRONG_BASE_TYPE

    - #### UNSUPPORTED_OPERATION_TYPE

          public static final SerializerException.MessageKeys UNSUPPORTED_OPERATION_TYPE

    - #### NULL_PROPERTY

          public static final SerializerException.MessageKeys NULL_PROPERTY

    - #### UNSUPPORTED_ENCODING

          public static final SerializerException.MessageKeys UNSUPPORTED_ENCODING

      parameter: encoding-name

  - ### Method Detail

    - #### values

          public static SerializerException.MessageKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SerializerException.MessageKeys c : SerializerException.MessageKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SerializerException.MessageKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getKey

          public String getKey()

      Description copied from interface: `ODataLibraryException.MessageKey`
      Gets this key.
      Specified by:
        `getKey` in interface `ODataLibraryException.MessageKey`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.